#version 130

in vec2 texCoords;

out vec4 color;

uniform sampler2D smp;
uniform vec4 diffuseColor;

void main()
{
	vec4 sampled = vec4(1.0, 1.0, 1.0, texture(smp, texCoords).r);
	color = vec4(diffuseColor.xyz, 1.0) * sampled;
}
